> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# Get all page details

GET https://api-sandbox.payabli.com/api/Paypoint/load/{entry}/{subdomain}

Loads all of a payment page's details including `pageIdentifier` and `validationCode`. This endpoint requires an `application` API token.

Reference: https://docs.payabli.com/developers/api-reference/hostedpaymentpages/get-all-payment-page-details

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.
- `requestToken` header (required) — Long-lived API token sent in the `requestToken` header. See [API token authentication](/developers/api-tokens).

## Servers

- `https://api-sandbox.payabli.com/api` (Sandbox, default)
- `https://api.payabli.com/api` (Production)

## Request

### Path parameters

- `entry` (string, required) — The paypoint's entrypoint identifier. [Learn more](/developers/api-reference/api-overview#entrypoint-vs-entry)
- `subdomain` (string, required) — Payment page identifier. The subdomain value is the last part of the payment page URL. For example, in `https://paypages-sandbox.payabli.com/513823dc10/pay-your-fees-1`, the subdomain is `pay-your-fees-1`.

## Response

### 200

Success

- `AdditionalData` (map from string to map from string to any, optional) — Custom dictionary of key:value pairs. You can use this field to store any data related to the object or for your system. If you are using [custom identifiers](/developers/developer-guides/entities-customers), pass those in this object. Max length for a value is 100 characters. Example usage: ```json { "additionalData": { "key1": "value1", "key2": "value2", "key3": "value3" } } ```
- `Credentials` (list of PayabliCredentials, optional) — Array of credential objects with active services for the page
- `LastAccess` (datetime, optional) — Timestamp of last access to page structure
- `PageContent` (PageContent, optional) — Sections of page
- `pageIdentifier` (string, optional) — Auxiliary validation used internally by payment pages and components.
- `PageSettings` (PageSetting, optional) — Settings of page
- `published` (integer, optional) — Flag indicating if page is active to accept payments. `0` for false, `1` for true.
- `ReceiptContent` (ReceiptContent, optional) — Sections of payment receipt
- `Subdomain` (string, optional) — Page identifier. Must be unique in platform.
- `totalAmount` (double, optional) — Total amount to pay in this page
- `validationCode` (string, optional) — Base64 encoded image of CAPTCHA associated to this page load

## Errors

### 400 Bad Request Error

Bad request / invalid data.

- `isSuccess` (boolean, required) — Always `false` for error responses.
- `responseText` (string, required) — Error text describing what went wrong.
- `responseCode` (integer, optional) — Code for the response. Learn more in [API Response Codes](/developers/api-reference/api-responses).
- `responseData` (PayabliErrorBodyResponseData, optional) — Object with detailed error context.

### 401 Unauthorized Error

Unauthorized request.

- `isSuccess` (boolean, required) — Always `false` for error responses.
- `responseText` (string, required) — Error text describing what went wrong.
- `responseCode` (integer, optional) — Code for the response. Learn more in [API Response Codes](/developers/api-reference/api-responses).
- `responseData` (PayabliErrorBodyResponseData, optional) — Object with detailed error context.

### 500 Internal Server Error

Internal server error.

- `isSuccess` (boolean, required) — Always `false` for error responses.
- `responseText` (string, required) — Error text describing what went wrong.
- `responseCode` (integer, optional) — Code for the response. Learn more in [API Response Codes](/developers/api-reference/api-responses).
- `responseData` (PayabliErrorBodyResponseData, optional) — Object with detailed error context.

### 503 Service Unavailable Error

Database connection error.

- `isSuccess` (boolean, required) — Always `false` for error responses.
- `responseText` (string, required) — Error text describing what went wrong.
- `responseCode` (integer, optional) — Code for the response. Learn more in [API Response Codes](/developers/api-reference/api-responses).
- `responseData` (PayabliErrorBodyResponseData, optional) — Object with detailed error context.

## Types

### PayabliCredentials

- `accountId` (string, optional) — The identifier for the payment connector, matching the `accountId` of the linked bank account.
- `cfeeFix` (double, optional)
- `cfeeFloat` (double, optional)
- `cfeeMax` (double, optional)
- `cfeeMin` (double, optional)
- `maxticket` (double, optional)
- `minticket` (double, optional)
- `mode` (integer, optional) — The payment mode supported by this service. `0` for one-time payments, `1` for recurring payments, `2` for both.
- `referenceId` (long, optional)
- `service` (string, optional) — The payment service that this credential applies to. A paypoint can support multiple services, each represented by its own credential object in the array. Possible values are `card` (credit/debit card), `ach` (ACH bank transfer), `check` (paper check), `vcard` (virtual card), `cloud` (card-present), `cash`, `managed` (managed payment service), and `wallet`.
- `greaterValueAllowed` (boolean, optional) — When `true`, the customer can pay an amount greater than the invoice or bill amount.
- `absorbDifference` (boolean, optional) — Whether the paypoint absorbs the difference between the configured service fee and the actual fee charged to the customer.
- `allowOverride` (boolean, optional) — Whether the configured service fee can be overridden at the transaction level.

### PageContent

- `amount` (AmountElement, optional) — Amount section of payment page
- `autopay` (AutoElement, optional) — Autopay section of payment page
- `contactUs` (ContactElement, optional) — ContactUs section of payment page
- `entry` (string, optional) — Identifier of entry point owner of page
- `invoices` (InvoiceElement, optional) — Invoices section of payment page
- `logo` (Element, optional) — Logo section of payment page
- `messageBeforePaying` (LabelElement, optional) — Message section of payment page
- `name` (string, optional) — Descriptor of page
- `notes` (NoteElement, optional) — Notes section of payment page
- `page` (PageElement, optional) — Page header section of payment page
- `paymentButton` (LabelElement, optional) — Payment button section of payment page
- `paymentMethods` (MethodElement, optional) — Payment methods section of payment page
- `payor` (PayorElement, optional) — Customer/Payor section of payment page
- `review` (HeaderElement, optional) — Review section of payment page
- `subdomain` (string, optional) — Unique identifier assigned to the page.

### PageSetting

- `color` (string, optional) — An HTML color code in format #RRGGBB
- `customCssUrl` (string, optional) — Complete URL to a custom CSS file to be loaded with the page
- `language` (string, optional) — Two-letter code following ISO 639-1
- `pageLogo` (FileContent, optional) — Object containing logo file to upload/ use in page
- `paymentButton` (ButtonElement, optional)
- `redirectAfterApprove` (boolean, optional) — Flag indicating if the capability for redirection in the page will be activated
- `redirectAfterApproveUrl` (string, optional) — Complete URL where the page will be redirected after completion

### ReceiptContent

Object containing receipt body configuration

- `amount` (Element, optional) — Section amount of payment receipt
- `contactUs` (Element, optional) — Section contactUs of payment receipt
- `details` (Element, optional) — Section payment details of payment receipt
- `logo` (Element, optional) — Section logo of payment receipt
- `messageBeforeButton` (LabelElement, optional) — Section message of payment receipt
- `page` (PageElement, optional) — Section page of payment receipt
- `paymentButton` (LabelElement, optional) — Section payment button of payment receipt
- `paymentInformation` (Element, optional) — Section payment information of payment receipt
- `settings` (SettingElement, optional) — The receipt's settings.

### PayabliErrorBodyResponseData

Object with detailed error context.

- `explanation` (string, optional) — Human-readable explanation of what happened.
- `todoAction` (string, optional) — Suggested resolution.

### AmountElement

- `categories` (list of PayCategory, optional)
- `enabled` (boolean, optional) — Toggles whether the section or element is enabled.
- `order` (integer, optional) — Order of element or section in container.

### AutoElement

- `enabled` (boolean, optional) — Toggles whether the section or element is enabled.
- `finish` (Finishtype, optional) — Type of end date
- `frequency` (FrequencyList, optional) — accepted frequencies for autopay
- `frequencySelected` (string, optional) — Value of pre-selected frequency
- `header` (string, optional) — Header text for section
- `order` (integer, optional) — Order of element or section in container.
- `startDate` (string, optional) — Range of days enabled in calendar. Leave empty to enable all days.

### ContactElement

- `emailLabel` (string, optional) — Custom content for email
- `enabled` (boolean, optional) — Toggles whether the section or element is enabled.
- `header` (string, optional) — Header text for section
- `order` (integer, optional) — Order of element or section in container.
- `paymentIcons` (boolean, optional) — Flag indicating if icons for accepted card brands will be shown
- `phoneLabel` (string, optional) — Custom content for phone number

### InvoiceElement

- `enabled` (boolean, optional) — Toggles whether the section or element is enabled.
- `invoiceLink` (LabelElement, optional) — Link to invoice
- `order` (integer, optional) — Order of element or section in container.
- `viewInvoiceDetails` (LabelElement, optional) — Link to view invoice details

### Element

- `enabled` (boolean, optional) — Toggles whether the section or element is enabled.
- `order` (integer, optional) — Order of element or section in container.

### LabelElement

- `enabled` (boolean, optional) — Toggles whether the section or element is enabled.
- `label` (string, optional) — Label to display for section or element
- `order` (integer, optional) — Order of element or section in container.

### NoteElement

- `enabled` (boolean, optional) — Toggles whether the section or element is enabled.
- `header` (string, optional) — Header text for section
- `order` (integer, optional) — Order of element or section in container.
- `placeholder` (string, optional) — Placeholder text for input field
- `value` (string, optional) — Pre-populated value for input field

### PageElement

- `description` (string, optional) — Page description in header
- `enabled` (boolean, optional) — Toggles whether the section or element is enabled.
- `header` (string, optional) — Page header
- `order` (integer, optional) — Order of element or section in container.

### MethodElement

- `allMethodsChecked` (boolean, optional) — Flag indicating if all allowed payment methods will be pre-selected.
- `enabled` (boolean, optional) — Toggles whether the section or element is enabled.
- `header` (string, optional) — Header text for section
- `methods` (MethodsList, optional)
- `order` (integer, optional) — Order of element or section in container.
- `paymentDescription` (string, optional) — Description text shown in the payment methods section.
- `settings` (MethodElementSettings, optional) — Settings for wallet payment methods.
- `showSaveMethod` (boolean, optional, default: true) — Controls whether the "Save payment details for future use" checkbox appears on the hosted payment page. Set to `false` to hide the checkbox. Defaults to `true`.

### PayorElement

- `enabled` (boolean, optional) — Toggles whether the section or element is enabled.
- `fields` (list of PayorFields, optional) — Array of Customer/Payor fields to show in section
- `header` (string, optional) — Custom header text for section
- `order` (integer, optional) — Order of element or section in container.

### HeaderElement

- `enabled` (boolean, optional) — Toggles whether the section or element is enabled.
- `header` (string, optional) — Header text for section
- `order` (integer, optional) — Order of element or section in container.

### FileContent

Contains details about a file. Max upload size is 30 MB.

- `fContent` (string, optional) — Content of file, Base64-encoded. Ignored if `furl` is specified. Max upload size is 30 MB.
- `filename` (string, optional) — The name of the attached file.
- `ftype` (enum, optional) — The MIME type of the file (if content is provided).
  - Allowed values: `pdf`, `doc`, `docx`, `jpg`, `jpeg`, `png`, `gif`, `txt`
- `furl` (string, optional) — Optional URL provided to show or download the file remotely.

### ButtonElement

- `label` (string, required) — Label for custom payment button
- `size` (enum, optional) — Specify size of custom payment button
  - Allowed values: `sm`, `md`, `lg`

### SettingElement

- `enabled` (boolean, optional) — Toggles whether the section or element is enabled.
- `fields` (list of DisplayProperty, optional) — Fields to display on the receipt.
- `order` (integer, optional) — Order of element or section in container.
- `sendAuto` (boolean, optional, default: true) — When `true`, Payabli automatically sends the receipt to the payor email address.
- `sendManual` (boolean, optional, default: false) — When `true`, you must send the receipt to the payor manually using the [/MoneyIn/sendreceipt/\{transId}](/developers/api-reference/moneyin/send-receipt-for-transaction) endpoint.

### PayCategory

- `description` (string, optional)
- `label` (string, optional)
- `name` (string, optional)
- `optionalPay` (boolean, optional)
- `order` (integer, optional) — Order of element or section in container.
- `quantity` (integer, optional)
- `showDescription` (boolean, optional)
- `type` (string, optional)
- `value` (string, optional)

### Finishtype

- `calendar` (boolean, optional) — Flag to enable the 'calendar' option.
- `untilCancelled` (boolean, optional) — Flag to enable the 'untilCancelled' option.

### FrequencyList

- `annually` (boolean, optional) — Enable or disable the annual frequency.
- `every2Weeks` (boolean, optional) — Enable or disable the every-two-weeks frequency.
- `every3Months` (boolean, optional) — Enable or disable the every-three-months frequency.
- `every6Months` (boolean, optional) — Enable or disable the every-six-months frequency.
- `monthly` (boolean, optional) — Enable or disable the monthly frequency.
- `onetime` (boolean, optional) — Enable or disable the one-time frequency.
- `weekly` (boolean, optional) — Enable or disable the weekly frequency.

### MethodsList

- `amex` (boolean, optional) — When `true`, American Express is accepted.
- `applePay` (boolean, optional) — When `true`, Apple Pay is accepted.
- `googlePay` (boolean, optional) — When `true`, Google Pay is accepted.
- `discover` (boolean, optional) — When `true`, Discover is accepted.
- `eCheck` (boolean, optional) — When `true`, ACH is accepted.
- `mastercard` (boolean, optional) — When `true`, Mastercard is accepted.
- `visa` (boolean, optional) — When `true`, Visa is accepted.
- `diners` (boolean, optional) — When `true`, Diners Club is accepted.
- `jcb` (boolean, optional) — When `true`, JCB is accepted.
- `rdc` (boolean, optional) — When `true`, Remote Deposit Capture (RDC) is accepted.

### MethodElementSettings

Settings for wallet payment methods.

- `applePay` (MethodElementSettingsApplePay, optional)

### PayorFields

- `display` (boolean, optional) — Flag indicating if the input field will show in container
- `fixed` (boolean, optional) — Flag indicating if the value in input field is read-only or not.
- `identifier` (boolean, optional) — Flag indicating if the input field is a customer identifier
- `label` (string, optional) — Label to display for field
- `name` (string, optional) — Name of field to show. Should be one of the standard customer fields or a custom field name
- `order` (integer, optional) — Order of element or section in container.
- `required` (boolean, optional) — Flag indicating if the input field is required for validation
- `validation` (string, optional) — Type of validation to apply to the input field Accepted values: - alpha for alphabetical - numbers for numeric - text for alphanumeric - email for masked email address input - phone for US phone numbers
- `value` (string, optional) — Pre-populated value for field
- `width` (integer, optional) — Numeric value indicating the size of input relative to the container. Accepted values: - 4 = 1/3 - 6 = 1/2 - 8 = 2/3 - 12 = 3/3

### DisplayProperty

- `display` (boolean, optional) — When `true`, the field is displayed on the receipt.
- `Fixed` (boolean, optional) — This field is unused.
- `name` (string, optional) — The field's name.

### MethodElementSettingsApplePay

- `buttonStyle` (enum, optional, default: black) — The Apple Pay button style. See [Apple Pay Button Style](/developers/developer-guides/hosted-payment-page-apple-pay#param-applepay-button-style) for more information.
  - Allowed values: `black`, `white-outline`, `white`
- `buttonType` (enum, optional, default: pay) — The text on Apple Pay button. See [Apple Pay Button Type](/developers/developer-guides/hosted-payment-page-apple-pay#param-applepay-button-type) for more information.
  - Allowed values: `plain`, `buy`, `donate`, `check-out`, `book`, `continue`, `top-up`, `order`, `rent`, `support`, `contribute`, `tip`, `pay`
- `language` (enum, optional, default: en-US) — The Apple Pay button locale. See [Apple Pay Button Language](/developers/developer-guides/hosted-payment-page-apple-pay#param-applepay-language) for more information.
  - Allowed values: `en-US`, `ar-AB`, `ca-ES`, `zh-CN`, `zh-HK`, `zh-TW`, `hr-HR`, `cs-CZ`, `da-DK`, `de-DE`, `nl-NL`, `en-AU`, `en-GB`, `fi-FI`, `fr-CA`, `fr-FR`, `el-GR`, `he-IL`, `hi-IN`, `hu-HU`, `id-ID`, `it-IT`, `ja-JP`, `ko-KR`, `ms-MY`, `nb-NO`, `pl-PL`, `pt-BR`, `pt-PT`, `ro-RO`, `ru-RU`, `sk-SK`, `es-MX`, `es-ES`, `sv-SE`, `th-TH`, `tr-TR`, `uk-UA`, `vi-VN`

## Examples

**Response**

```json
{
  "AdditionalData": {
    "key1": {
      "key": "value"
    },
    "key2": {
      "key": "value"
    },
    "key3": {
      "key": "value"
    }
  },
  "Credentials": [
    {
      "accountId": "accountId",
      "cfeeFix": 1.1,
      "cfeeFloat": 1.1,
      "cfeeMax": 1.1,
      "cfeeMin": 1.1,
      "maxticket": 1.1,
      "minticket": 1.1,
      "mode": 1,
      "referenceId": 1000000,
      "service": "service"
    }
  ],
  "LastAccess": "2022-06-30T15:01:00Z",
  "PageContent": {
    "amount": {
      "categories": [
        {}
      ],
      "enabled": true,
      "order": 1
    },
    "autopay": {
      "enabled": true,
      "frequencySelected": "frequencySelected",
      "header": "header",
      "order": 1,
      "startDate": "1, 5-10"
    },
    "contactUs": {
      "emailLabel": "emailLabel",
      "enabled": true,
      "header": "header",
      "order": 1,
      "paymentIcons": true,
      "phoneLabel": "phoneLabel"
    },
    "entry": "8cfec329267",
    "invoices": {
      "enabled": true,
      "invoiceLink": {
        "enabled": true
      },
      "order": 1,
      "viewInvoiceDetails": {
        "enabled": true
      }
    },
    "logo": {
      "enabled": true,
      "order": 1
    },
    "messageBeforePaying": {
      "enabled": true,
      "label": "label",
      "order": 1
    },
    "name": "name",
    "notes": {
      "enabled": true,
      "header": "header",
      "order": 1,
      "placeholder": "placeholder",
      "value": "value"
    },
    "page": {
      "description": "description",
      "enabled": true,
      "header": "header",
      "order": 1
    },
    "paymentButton": {
      "enabled": true,
      "label": "label",
      "order": 1
    },
    "paymentMethods": {
      "allMethodsChecked": true,
      "enabled": true,
      "header": "header",
      "methods": {
        "amex": true,
        "applePay": true,
        "discover": false,
        "eCheck": false,
        "mastercard": true,
        "visa": true
      },
      "order": 1,
      "showSaveMethod": true
    },
    "payor": {
      "enabled": true,
      "fields": [
        {}
      ],
      "header": "header",
      "order": 1
    },
    "review": {
      "enabled": true,
      "header": "header",
      "order": 1
    },
    "subdomain": "mypage-1"
  },
  "pageIdentifier": "null",
  "PageSettings": {
    "color": "color",
    "customCssUrl": "customCssUrl",
    "language": "language",
    "pageLogo": {
      "fContent": "TXkgdGVzdCBmaWxlHJ==...",
      "filename": "my-doc.pdf",
      "ftype": "pdf",
      "furl": "https://mysite.com/my-doc.pdf"
    },
    "paymentButton": {
      "label": "label",
      "size": "sm"
    },
    "redirectAfterApprove": true,
    "redirectAfterApproveUrl": "redirectAfterApproveUrl"
  },
  "published": 1,
  "ReceiptContent": {
    "amount": {
      "enabled": true,
      "order": 1
    },
    "contactUs": {
      "enabled": true,
      "order": 1
    },
    "details": {
      "enabled": true,
      "order": 1
    },
    "logo": {
      "enabled": true,
      "order": 1
    },
    "messageBeforeButton": {
      "enabled": true,
      "label": "label",
      "order": 1
    },
    "page": {
      "description": "description",
      "enabled": true,
      "header": "header",
      "order": 1
    },
    "paymentButton": {
      "enabled": true,
      "label": "label",
      "order": 1
    },
    "paymentInformation": {
      "enabled": true,
      "order": 1
    },
    "settings": {
      "enabled": true,
      "fields": [
        {}
      ],
      "order": 1,
      "sendAuto": true,
      "sendManual": true
    }
  },
  "Subdomain": "mypage-1",
  "totalAmount": 1.1,
  "validationCode": "validationCode"
}
```

**SDK Code**

```python
import requests

url = "https://api-sandbox.payabli.com/api/Paypoint/load/8cfec329267/pay-your-fees-1"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api-sandbox.payabli.com/api/Paypoint/load/8cfec329267/pay-your-fees-1';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-sandbox.payabli.com/api/Paypoint/load/8cfec329267/pay-your-fees-1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-sandbox.payabli.com/api/Paypoint/load/8cfec329267/pay-your-fees-1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-sandbox.payabli.com/api/Paypoint/load/8cfec329267/pay-your-fees-1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-sandbox.payabli.com/api/Paypoint/load/8cfec329267/pay-your-fees-1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-sandbox.payabli.com/api/Paypoint/load/8cfec329267/pay-your-fees-1");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Paypoint/load/8cfec329267/pay-your-fees-1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```